.\"	$NetBSD: dmesg.8,v 1.15 2004/04/30 13:34:48 briggs Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)dmesg.8	8.1 (Berkeley) 6/5/93
.\"
.Dd April 30, 2004
.Dt DMESG 8
.Os
.Sh NAME
.Nm dmesg
.Nd "display the system message buffer"
.Sh SYNOPSIS
.Nm
.Op Fl M Ar core
.Op Fl N Ar system
.Sh DESCRIPTION
.Nm
displays the contents of the system message buffer.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl M
Extract values associated with the name list from the specified core
instead of the default ``/dev/mem''.
.It Fl N
Extract the name list from the specified system instead of the default
``/netbsd''.
.El
.Pp
The system message buffer is a circular buffer of a fixed size.
If the buffer has been filled, the first line of the
.Nm
output may not be complete.
The size of the message buffer is configurable at compile-time on
most systems with the
.Dv MSGBUFSIZE
kernel option.
Look for
.Dv MSGBUFSIZE
in
.Xr options 4
for details.
.Sh FILES
.Bl -tag -width /var/run/dmesg.boot -compact
.It Pa /var/run/dmesg.boot
copy of dmesg at the time of last boot.
.El
.Sh SEE ALSO
.Xr options 4 ,
.Xr syslogd 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.0 .
